# Method: matters.holds.accounts.list

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.ListHeldAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts/list#try-it)

Lists the accounts covered by a hold. This can list only individually-specified accounts covered by the hold. If the hold covers an organizational unit, use the [Admin SDK](https://developers.google.com/admin-sdk/). to list the members of the organizational unit on hold.

### HTTP request

`GET https://vault.googleapis.com/v1/matters/{matterId}/holds/{holdId}/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `matterId` | `string` The matter ID. |
| `holdId` | `string` The hold ID. |

### Request body

The request body must be empty.

### Response body

Returns a list of the accounts covered by a hold.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accounts": [ { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts#HeldAccount`) } ] } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds.accounts#HeldAccount`)`` The held accounts on a hold. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/ediscovery.readonly`
- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).